Xalan-Java: Class ElemAttributeSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class ElemAttributeSet

    java.lang.Object
      |
      +--org.apache.xalan.xslt.UnImplNode
            |
            +--org.apache.xalan.xslt.ElemTemplateElement
                  |
                  +--org.apache.xalan.xslt.ElemUse
                        |
                        +--org.apache.xalan.xslt.ElemAttributeSet

public class ElemAttributeSet
extends ElemUse

**For advanced use only** Implement xsl:attribute-set.

See Also:
  Serialized Form

Field Summary
`QName` | `m_qname` **For advanced use only**

Fields inherited from class org.apache.xalan.xslt.ElemUse
`m_attributeSetsNames`

Fields inherited from class org.apache.xalan.xslt.ElemTemplateElement
`m_columnNumber, m_defaultSpace, m_elemName, m_finishedConstruction, m_lineNumber, m_parentNode, m_stylesheet`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` **For advanced use only** Add a child to the child list.
`void` | `execute(XSLTEngineImpl processor, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode, QName mode)` **For advanced use only**
`int` | `getXSLToken()` **For advanced use only**

Methods inherited from class org.apache.xalan.xslt.ElemTemplateElement
`childrenToString, error, executeChildren, getBaseIdentifier, getChildNodes, getFirstChild, getLastChild, getLength, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getTagName, hasChildNodes, isSpace, isWhiteSpace, item, processLocatedNode`

Methods inherited from class org.apache.xalan.xslt.UnImplNode
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getElementsByTagName, getElementsByTagNameNS, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getPreviousSibling, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_qname

    public QName m_qname

Method Detail

### getXSLToken

    public int getXSLToken()

  Overrides:
    getXSLToken in class ElemTemplateElement

### execute

    public void execute(XSLTEngineImpl processor,
                        org.w3c.dom.Node sourceTree,
                        org.w3c.dom.Node sourceNode,
                        QName mode)
                 throws XSLProcessorException,
                        java.net.MalformedURLException,
                        java.io.FileNotFoundException,
                        java.io.IOException,
                        org.xml.sax.SAXException

  Overrides:
    execute in class ElemUse

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  **For advanced use only** Add a child to the child list.
  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.